Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jaxen
Class MatchesFunction

    java.lang.Object
      net.sourceforge.pmd.jaxen.MatchesFunction

All Implemented Interfaces:
  org.jaxen.Function

public class MatchesFunction
extends java.lang.Object
implements org.jaxen.Function

Constructor Summary
`MatchesFunction()`

Method Summary
`java.lang.Object` | `call(org.jaxen.Context context, java.util.List args)`
`static void` | `registerSelfInSimpleContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchesFunction

    public MatchesFunction()

Method Detail

### registerSelfInSimpleContext

    public static void registerSelfInSimpleContext()

### call

    public java.lang.Object call(org.jaxen.Context context,
                                 java.util.List args)
                          throws org.jaxen.FunctionCallException

  Specified by:
    `call` in interface `org.jaxen.Function`
  Throws:
    `org.jaxen.FunctionCallException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.